angular.module('starter.services', [])

.factory('Chats', function() {
  // Might use a resource here that returns a JSON array

  // Some fake testing data
  var chats = [{
    id: 0,
    name: 'Ben Sparrow',
    lastText: 'You on your way?',
    face: 'https://pbs.twimg.com/profile_images/514549811765211136/9SgAuHeY.png'
  }, {
    id: 1,
    name: 'Max Lynx',
    lastText: 'Hey, it\'s me',
    face: 'https://avatars3.githubusercontent.com/u/11214?v=3&s=460'
  }, {
    id: 2,
    name: 'Andrew Jostlin',
    lastText: 'Did you get the ice cream?',
    face: 'https://pbs.twimg.com/profile_images/491274378181488640/Tti0fFVJ.jpeg'
  }, {
    id: 3,
    name: 'Adam Bradleyson',
    lastText: 'I should buy a boat',
    face: 'https://pbs.twimg.com/profile_images/479090794058379264/84TKj_qa.jpeg'
  }, {
    id: 4,
    name: 'Perry Governor',
    lastText: 'Look at my mukluks!',
    face: 'https://pbs.twimg.com/profile_images/491995398135767040/ie2Z_V6e.jpeg'
  }];
//alert(chats[1].id);
  return {
    all: function() {
      return chats;
    },
    remove: function(chat) {
      chats.splice(chats.indexOf(chat), 1);
    },
    get: function(chatId) {
      for (var i = 0; i < chats.length; i++) {
        if (chats[i].id === parseInt(chatId)) {
          return chats[i];
        }
      }
      return null;
    }
  };
})
.factory('MinpriceService', function() {
  // Might use a resource here that returns a JSON array

  // Some fake testing data
  var minPrice = [{
    id: 1,
    priceVal: '100000',
    priceText: '0-5 lacs '
  }, {
    id: 2,
    priceVal: '500000',
    priceText: '5 lacs'
  }, {
    id: 3,
    priceVal: '1000000',
    priceText: '10 lacs'
  }, {
    id: 4,
    priceVal: '1500000',
    priceText: '15 lacs'
  }, {
    id: 5,
    priceVal: '2000000',
    priceText: '20 lacs'
  }, {
    id: 6,
    priceVal: '2500000',
    priceText: '25 lacs'
  }, {
    id: 7,
    priceVal: '3000000',
    priceText: '30 lacs'
  }, {
    id: 8,
    priceVal: '3500000',
    priceText: '35 lacs'
  }, {
    id: 9,
    priceVal: '4000000',
    priceText: '40 lacs'
  }, {
    id: 10,
    priceVal: '4500000',
    priceText: '45 lacs'
  }, {
    id: 11,
    priceVal: '5000000',
    priceText: '50 lacs'
  }, {
    id: 12,
    priceVal: '5500000',
    priceText: '55 lacs'
  }, {
    id: 13,
    priceVal: '6000000',
    priceText: '60 lacs'
  },{
    id: 14,
    priceVal: '6500000',
    priceText: '65 lacs'
  }, {
    id: 15,
    priceVal: '7000000',
    priceText: '70 lacs'
  }, {
    id: 16,
    priceVal: '8000000',
    priceText: '80 lacs'
  }, {
    id: 17,
    priceVal: '9000000',
    priceText: '90 lacs'
  }, {
    id: 18,
    priceVal: '10000000',
    priceText: '1 Cr'
  }, {
    id: 19,
    priceVal: '15000000',
    priceText: '1.50 Cr'
  },{
    id: 20,
    priceVal: '20000000',
    priceText: '2 Cr'
  }, {
    id: 21,
    priceVal: '25000000',
    priceText: '2.50 Cr'
  }, {
    id: 22,
    priceVal: '30000000',
    priceText: '3 Cr'
  }, {
    id: 23,
    priceVal: '35000000',
    priceText: '3.50 Cr'
  }, {
    id: 24,
    priceVal: '40000000',
    priceText: '4 Cr+'
  }];
//alert(minPrice[1].id);
  return {
    all: function() {
      return minPrice;
    },
    remove: function(price) {
      minPrice.splice(minPrice.indexOf(price), 1);
    },
    get: function(priceId) {
      for (var i = 0; i < minPrice.length; i++) {
        if (minPrice[i].id === parseInt(priceId)) {
          return minPrice[i];
        }
      }
      return null;
    }
  };
})
.factory('SortByService', function() {
  // Might use a resource here that returns a JSON array

  // Some fake testing data
  var sortBy = [{
    id: 1,
    sortname: 'Relevance   ',
    sortval: 'N'
  }, {
    id: 2,
    sortname: 'Price/Sqft High-Low   ',
    sortval: 'desc'
  }, {
    id: 3,
    sortname: 'Price/Sqft Low-High   ',
    sortval: 'asc'
  }, {
    id: 4,
    sortname: 'Project Rating   ',
    sortval: 'pdesc'
  }, {
    id: 5,
    sortname: 'Amenities Rating   ',
    sortval: 'amdesc'
  }, {
    id: 6,
    sortname: 'Neighbourhood Rating   ',
    sortval: 'ldesc'
  }, {
    id: 7,
    sortname: 'Connectivity Rating   ',
    sortval: 'adesc'
  }, {
    id: 8,
    sortname: 'Builder Rating   ',
    sortval: 'budesc'
  }];
//alert(minPrice[1].id);
  return {
    all: function() {
      return sortBy;
    }
  };
})
.factory('GoogleAnalytics', function($ionicPlatform) {
     	
   return {
     ganalytic: function(sourceView,actionevent,paramname,status) {
        $ionicPlatform.ready(function() 
        {
            if(typeof analytics !== undefined) 
            { 
                analytics.startTrackerWithId("UA-63094249-1"); 
                analytics.trackView(sourceView); 
                analytics.trackEvent(sourceView, actionevent, paramname, status);
                 //alert(sourceView+" : "+actionevent+" : "+paramname+" : "+status)
            }
            
        });
      
    }
   };
 });
/*
 .factory('NearbyProjects', function($scope,$http) {
   // Might use a resource here that returns a JSON array
          $scope.nearbyProjectss = [];
         
 	        //var url = "http://realtycompass.com/newlocation.php?q="+$scope.data.search+"&&brnch=" + myValue;
 	       // alert(url);
            //'/nearbyprojects/:cityid/:lat/:lng/:type/:pricemin/:pricemax/:possession/:bedrooms','getProjectsNearby');
 	        //$http({method: 'GET', url: 'http://realtycompass.com/Ionic-newlocation.php?q='+$scope.data.search+'&&brnch='+myValue})
 	        $http({method: "GET", url: "http://casagrandepropcare.com/dev/api/nearbyprojects/200000/12.956415/77.606705/N/N/N/N/N"})
 	        .success(function(data) {
 	           // alert(data);
 	           $scope.nearbyProjectss = data;
                //alert(nearbyProjects);
                //return nearbyProjects;
 	        });
   // Some fake testing data
  //var nearbyProjects = $scope.nearbyProjectss;
 alert('array : '+$scope.nearbyProjectss);
   return {
     all: function() {
       return $scope.nearbyProjectss;
     },
     remove: function(chat) {
       $scope.nearbyProjectss.splice($scope.nearbyProjectss.indexOf(chat), 1);
     },
     get: function(chatId) {
       for (var i = 0; i < $scope.nearbyProjectss.length; i++) {
         if ($scope.nearbyProjectss[i].projectid === parseInt(chatId)) {
           return $scope.nearbyProjectss[i];
         }
       }
       return null;
     }
   };
 })
 */
/*
 .factory('Search', function() {
     	var locations = [];
 	navigator.geolocation.getCurrentPosition(
       function(position) {
           alert(position.coords.latitude + ',' + position.coords.longitude);
           //$scope.latvalue = position.coords.latitude;
          // $scope.langvalue = position.coords.longitude;
        // Some fake testing data
           locations = [{
            id: 0,
            latVal: position.coords.latitude,
            langVal: position.coords.longitude
            
          }];
     //alert(locations[0].name);
           
       },
       function() {
           alert('Error getting location');
       });
   //alert(locations[0].name);
   return {
     all: function() {
       return locations;
     }
   };
 });
 */
